# -*- coding: utf-8 -*-
from velamentum.signale.Signal import Signal
import dialogs

class TextSignal(Signal):
    """Die Klasse TextSignal dient der Übermittlung von Textsignalen 
    an den Benutzer.
    
    Attribute:
        text (Zeichenkette): Text des Signals.
    """

    def __init__(self, pText="TextSignal"):
        """Konstruktor. Initialisiert das Signal.
        
        Parameter:
            [optional] pText (Zeichenkette): Text des Signals.
        """
        Signal.__init__(self)
        self.text = pText

    def nenneText(self):
        """Anfrage. Gibt den Text des Signals zurück.
        
        Parameter:
            --- keine ---
            
        Rückgabe (Zeichenkette): Text des Signals.
        """
        return self.text
        
    def setzeText(self, pText):
        """Auftrag. Ändert den Text des Signals.
        
        Parameter:
            pText (Zeichenkette): Text des Signals.        
        """
        self.text = pText
        
    def signalisiere(self):
        """Auftrag. Übermittelt das Signal an den Benutzer.
        
        Parameter 
            --- keine ---
        """
        dialogs.hud_alert(self.text)
